#### PyKDE - Python Bindings for KDE

# class KColorPatch |
Table of contents
Modules
tdeui Classes
All Classes

Module | tdeui
Class | KColorPatch
Inherits | TQFrame

### methods

- KColorPatch (parent)

  returns a KColorPatch instance
  Argument | Type | Default
  --- | --- | ---
  parent | TQWidget |

- colorChanged (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | TQColor |

- dragEnterEvent (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | TQDragEnterEvent |

- drawContents (painter)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  painter | TQPainter |

- dropEvent (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | TQDropEvent |

- mouseMoveEvent (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | TQMouseEvent |

- setColor (col)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  col | TQColor |